        # Strategy 1: Try local NLLB model first (best quality)
        if self.nllb_model:
            translated_text = await self.translate_with_nllb(text, source_lang, target_lang)
            if translated_text:
                service_used = "nllb_local"
        
        # Strategy 2: Try free Google Translate (excellent quality, no API key)
        if not translated_text:
            translated_text = await self.translate_with_free_google(text, source_lang, target_lang)
            if translated_text:
                service_used = "google_free"
        
        # Strategy 3: Try Argos Translate (offline backup)
        if not translated_text:
            translated_text = await self.translate_with_argos(text, source_lang, target_lang)
            if translated_text:
                service_used = "argos_offline"
        
        # Strategy 4: Try MyMemory API (free online backup)
        if not translated_text:
            translated_text = await self.translate_with_mymemory(text, source_lang, target_lang)
            if translated_text:
                service_used = "mymemory_free"